/**************************************************************************
 This is an example for our Monochrome OLEDs based on SSD1306 drivers

 Pick one up today in the adafruit shop!
 ------> http://www.adafruit.com/category/63_98

 This example is for a 128x32 pixel display using I2C to communicate
 3 pins are required to interface (two I2C and one reset).

 Adafruit invests time and resources providing this open
 source code, please support Adafruit and open-source
 hardware by purchasing products from Adafruit!

 Written by Limor Fried/Ladyada for Adafruit Industries,
 with contributions from the open source community.
 BSD license, check license.txt for more information
 All text above, and the splash screen below must be
 included in any redistribution.
 **************************************************************************/
#include <Arduino.h>
#include <BasicEncoder.h>

const int buttonPin = 16;     // the number of the pushbutton pin


// variables will change:
int buttonState = 0;         // variable for reading the pushbutton status


const int8_t pinA = 14;
const int8_t pinB = 15;

#include <SPI.h>
#include <Wire.h>
#include <Adafruit_GFX.h>
#include <Adafruit_SSD1306.h>
#include <Encoder.h>

bool mudaTexto;

Encoder myEnc(15, 14);
long oldPosition  = -999;
long newPosition;
int DEFINIRciclo;

int tempoAgitacao=1500;
 
#define SCREEN_WIDTH 128 // OLED display width, in pixels
#define SCREEN_HEIGHT 32 // OLED display height, in pixels

// Declaration for an SSD1306 display connected to I2C (SDA, SCL pins)
// The pins for I2C are defined by the Wire-library. 
// On an arduino UNO:       A4(SDA), A5(SCL)
// On an arduino MEGA 2560: 20(SDA), 21(SCL)
// On an arduino LEONARDO:   2(SDA),  3(SCL), ...
#define OLED_RESET     -1 // Reset pin # (or -1 if sharing Arduino reset pin)
#define SCREEN_ADDRESS 0x3C ///< See datasheet for Address; 0x3D for 128x64, 0x3C for 128x32
Adafruit_SSD1306 display(SCREEN_WIDTH, SCREEN_HEIGHT, &Wire, OLED_RESET);

#define NUMFLAKES     10 // Number of snowflakes in the animation example

#define LOGO_HEIGHT   16
#define LOGO_WIDTH    16



int solenoideAmaciante=6;//6 - 2
int solenoideSabao=5;//5 - 3
int centrifugaBomba=2;//2 - 4
int motorHorario=3;//3 - 5
int motorAntihorario=4;//4 - 6
int campainha=7;
int ciclo=0;
int passoCiclo1=1;

int beep=12;

const int preostatoAlto =  9;
const int preostatoBaixo= 10;// the number of the pushbutton pin


// variables will change:
int preostatoAltoEstado= 0;         // variable for reading the pushbutton status
int preostatoBaixoEstado= 0;  


bool fazerAgitacao=false;
bool terminarCiclo1=false;
bool nivelAltoAgua=false;
bool nivelBaixoAgua=false;






static const unsigned char PROGMEM logo_bmp[] =
{ 0b00000000, 0b11000000,
  0b00000001, 0b11000000,
  0b00000001, 0b11000000,
  0b00000011, 0b11100000,
  0b11110011, 0b11100000,
  0b11111110, 0b11111000,
  0b01111110, 0b11111111,
  0b00110011, 0b10011111,
  0b00011111, 0b11111100,
  0b00001101, 0b01110000,
  0b00011011, 0b10100000,
  0b00111111, 0b11100000,
  0b00111111, 0b11110000,
  0b01111100, 0b11110000,
  0b01110000, 0b01110000,
  0b00000000, 0b00110000 };

void setup() {
  pinMode(buttonPin, INPUT_PULLUP);
pinMode(beep, OUTPUT);
 
   //digitalWrite(beep, HIGH);
   
  Serial.begin(9600);
  //Serial.println("ok");

  // SSD1306_SWITCHCAPVCC = generate display voltage from 3.3V internally
  if(!display.begin(SSD1306_SWITCHCAPVCC, SCREEN_ADDRESS)) {
    //Serial.println(F("SSD1306 allocation failed"));
    for(;;); // Don't proceed, loop forever
  }

  // Show initial display buffer contents on the screen --
  // the library initializes this with an Adafruit splash screen.
  
  display.clearDisplay();

  display.drawBitmap(
    (display.width()  - LOGO_WIDTH ) / 2,
    (display.height() - LOGO_HEIGHT) / 2,
    logo_bmp, LOGO_WIDTH, LOGO_HEIGHT, 1);
  display.display();
  delay(1000);

 digitalWrite(beep, HIGH);
 delay(100);
 digitalWrite(beep, LOW);
  
  
  display.display();
  
  delay(2000); // Pause for 2 seconds

  // Clear the buffer
  display.clearDisplay();

  // Draw a single pixel in white
  display.drawPixel(10, 10, SSD1306_WHITE);

  // Show the display buffer on the screen. You MUST call display() after
  // drawing commands to make them visible on screen!
  display.display();
  delay(2000);
  // display.display() is NOT necessary after every single drawing command,
  // unless that's what you want...rather, you can batch up a bunch of
  // drawing operations and then update the screen all at once by calling
  // display.display(). These examples demonstrate both approaches...

Serial.begin(9600); // initialize the LED pin as an output:
  // initialize the pushbutton pin as an input:
  pinMode(preostatoAlto, INPUT_PULLUP);
   pinMode(preostatoBaixo, INPUT_PULLUP);

  // initialize digital pin LED_BUILTIN as an output.

int solenoideAmaciante=2;
int solenoideSabao=3;
int centrifugaBomba=4;
int motorHorario=5;
int motorAntihorario=6;
int campainha=7;

  pinMode(solenoideAmaciante, OUTPUT);
  //pinMode(beep, OUTPUT);
 tone(12, 440);
  delay(100);
 tone(12, 640);
 delay(200);
 noTone(12);
  pinMode(solenoideSabao, OUTPUT);
  pinMode(centrifugaBomba, OUTPUT);
  pinMode(motorHorario, OUTPUT);
  pinMode(motorAntihorario, OUTPUT);
  pinMode(campainha, OUTPUT);
  digitalWrite(centrifugaBomba, LOW);
  //delay(2000000);
//diagnostico();



/*
  testdrawline();      // Draw many lines

  testdrawrect();      // Draw rectangles (outlines)

  testfillrect();      // Draw rectangles (filled)

  testdrawcircle();    // Draw circles (outlines)

  testfillcircle();    // Draw circles (filled)

  testdrawroundrect(); // Draw rounded rectangles (outlines)

  testfillroundrect(); // Draw rounded rectangles (filled)

  testdrawtriangle();  // Draw triangles (outlines)

  testfilltriangle();  // Draw triangles (filled)

  testdrawchar();      // Draw characters of the default font

  testdrawstyles();    // Draw 'stylized' characters

  testscrolltext();    // Draw scrolling text

  testdrawbitmap();    // Draw a small bitmap image

  // Invert and restore display, pausing in-between
  display.invertDisplay(true);
  delay(1000);
  display.invertDisplay(false);
  delay(1000);

  testanimate(logo_bmp, LOGO_WIDTH, LOGO_HEIGHT); // Animate bitmaps
*/
//testscrolltext();    // Draw scrolling text
Serial.println("Basic Encoder Test:");
textDisplay("  GIRE O    BOTAO");
}



void loop() {
 
 buttonState = digitalRead(buttonPin);

  // check if the pushbutton is pressed. If it is, the buttonState is HIGH:
    if (buttonState == LOW) {
tone(12, 440);
  delay(100);
 tone(12, 640);
 delay(200);
 tone(12, 840);
 delay(200);
 tone(12, 440);
 delay(200);
 noTone(12);
      
    ciclo=DEFINIRciclo;
    if(DEFINIRciclo==6){ diagnostico();}
    if(DEFINIRciclo==7){ 
      digitalWrite(motorHorario, HIGH);
      delay(1000);
      digitalWrite(motorHorario, LOW);
    }
    
    if(DEFINIRciclo==8){ 
      digitalWrite(motorAntihorario, HIGH);
      delay(1000);
      digitalWrite(motorAntihorario, LOW);}

    if(DEFINIRciclo==9){ Centrifuga();}

    if(DEFINIRciclo==10){ 
      digitalWrite(centrifugaBomba, HIGH);
      delay(1000);
      digitalWrite(centrifugaBomba, LOW);
    }

    if(DEFINIRciclo==11){
      digitalWrite(solenoideSabao, HIGH);
      delay(1000);
      digitalWrite(solenoideSabao, LOW);
      delay(1000);
    }
    if(DEFINIRciclo==12){
      digitalWrite(solenoideAmaciante, HIGH);
      delay(5000);
      digitalWrite(solenoideAmaciante, LOW);
      delay(1000);
    }

    if(DEFINIRciclo==13){
     
      
      for(int i=0;i<60000;i++){
       monitoraSensores();
       Serial.println(preostatoBaixoEstado);
     
        if(preostatoBaixoEstado==1){
        textDisplay("1");
        }
        if(preostatoBaixoEstado==0){
        textDisplay("0");
        }

      }
       
      
    }

   
} 
// SISTEMA DE LAVAGEM
  if(ciclo>0){
  monitoraSensores();
  }
  
  if(ciclo==1){
    ciclo1();
  }
    if(ciclo==2){
    ciclo2();
  }
    if(ciclo==3){
    ciclo3();
  }  if(ciclo==4){
    ciclo4();
  }
    if(ciclo==5){
    ciclo5();
  }
    if(ciclo==6){
    ciclo6();
  }
 
   
//LEITURA ENCODER   
   
   newPosition = myEnc.read();
  if (newPosition != oldPosition) {
    oldPosition = newPosition;
    Serial.println(newPosition);
  mudaTexto=true;
  }

if(newPosition==5){
  if(mudaTexto){
  textDisplay("  DESLIGA");
  mudaTexto=false;
  DEFINIRciclo=0;
  
  tone(12, 440);
  delay(100);
 noTone(12);
      
  }
}


if(newPosition==10){
  if(mudaTexto){
  textDisplay("  CICLO     LONGO");
  mudaTexto=false;
  DEFINIRciclo=1;
  tempoAgitacao=1500;
 
  tone(12, 540);
  delay(100);
 noTone(12);
     

  }
}

if(newPosition==20){
  if(mudaTexto){
  textDisplay("  CICLO     CURTO");
  mudaTexto=false;
  DEFINIRciclo=1;
  tempoAgitacao=200;
 
    
 tone(12, 640);
  delay(100);
 noTone(12);
    
       
  // ciclo 1 tb mas variavel de agitacao menor
  }  
}


if(newPosition==30){
  if(mudaTexto){
   textDisplay("   MOLHO");
  mudaTexto=false;
  
  tone(12, 740);
  delay(100);
 noTone(12);
  
  }
}


if(newPosition==40){
if(mudaTexto){
  textDisplay(" AGITACAO");
  mudaTexto=false;

  tone(12, 840);
  delay(100);
 noTone(12);
  
  }
}


if(newPosition==50){
if(mudaTexto){
  textDisplay(" ENXAGUE   RAPIDO");
  mudaTexto=false;
  DEFINIRciclo=2;
  
  tone(12, 940);
  delay(100);
 noTone(12);
  
  }
}

if(newPosition==60){
if(mudaTexto){
  textDisplay(" AMACIANTE");
  mudaTexto=false;
  DEFINIRciclo=3;
  tone(12, 1040);
  delay(100);
 noTone(12);
  
  }
}

if(newPosition==70){
if(mudaTexto){
  textDisplay(" ENXAGUE   PROFUNDO");
  mudaTexto=false;
  DEFINIRciclo=4;

  tone(12, 1140);
 delay(100);
 noTone(12);

  }
}

if(newPosition==80){
if(mudaTexto){
  textDisplay("CENTRIFUGA");
  mudaTexto=false;
  DEFINIRciclo=5;

  tone(12, 1240);
  delay(100);
 noTone(12);
 
  }
}

if(newPosition==90){
if(mudaTexto){
  textDisplay("  TESTE     GERAL");
  mudaTexto=false;
  DEFINIRciclo=6;
  
  tone(12, 1340);
  delay(100);
 noTone(12);
 
  }
}

if(newPosition==100){
if(mudaTexto){
  textDisplay(" TESTE    MOTOR-CW");
  mudaTexto=false;
  DEFINIRciclo=7;
  
  tone(12, 1440);
  delay(100);
 noTone(12);
  
  }
}

if(newPosition==110){
if(mudaTexto){
  textDisplay(" TESTE    MOTOR-CCW");
  mudaTexto=false;
  DEFINIRciclo=8;
  
  tone(12, 1540);
  delay(100);
 noTone(12);
 
  }
}

if(newPosition==120){
if(mudaTexto){
  textDisplay(" TESTE    CENTRIFUGA");
  mudaTexto=false;
  DEFINIRciclo=9;
  
  tone(12, 1640);
  delay(100);
 noTone(12);
 
  }
}

if(newPosition==130){
if(mudaTexto){
  textDisplay(" TESTE     BOMBA");
  mudaTexto=false;
  DEFINIRciclo=10;
  
  tone(12, 1740);
  delay(100);
 noTone(12);
 
  
  }
  
}


if(newPosition==140){
if(mudaTexto){
  textDisplay(" TESTE    SOL-SABAO");
  mudaTexto=false;
  DEFINIRciclo=11;
  
  tone(12, 1840);
  delay(100);
 noTone(12);
 

  }

  
}

if(newPosition==150){
if(mudaTexto){
  textDisplay(" TESTE    SOL-AMA");
  mudaTexto=false;
  DEFINIRciclo=12;
 
  tone(12, 1940);
  delay(100);
 noTone(12);
  
  }
}


if(newPosition==160){
if(mudaTexto){
  textDisplay(" TESTE     SENSOR");
  mudaTexto=false;
  DEFINIRciclo=13;
  
  tone(12, 2040);
  delay(100);
 noTone(12);

  }
}

    
}

void textDisplay(String TEXTO){
 
  display.clearDisplay();

  display.setTextSize(2); // Draw 2X-scale text
  display.setTextColor(SSD1306_WHITE);
  display.setCursor(0, 0);
  display.println(TEXTO);

  display.display();
}








//__________________________


void diagnostico(){
  digitalWrite(solenoideSabao, HIGH);
  delay(1000);
  digitalWrite(solenoideSabao, LOW);
  delay(1000);

  digitalWrite(solenoideAmaciante, HIGH);
  delay(5000);
  digitalWrite(solenoideAmaciante, LOW);
  delay(1000);
  
  digitalWrite(centrifugaBomba, LOW);
  delay(1000);
  for(int i=0;i<4;i++){
  agitacao();
  delay(500);
  }
//  Centrifuga();
  
}

void monitoraSensores(){
  
  preostatoAltoEstado = digitalRead(preostatoAlto);
  preostatoBaixoEstado = digitalRead(preostatoBaixo);

  // check if the pushbutton is pressed. If it is, the buttonState is HIGH:
/*
  if (preostatoAltoEstado== HIGH) {
  // inverte se HIGH é por que o comutador esta aberto por que é pull up
  nivelAltoAgua=false;
  
    // turn LED on:
      } else {
  nivelAltoAgua=true;
    // turn LED off:
 // Serial.println("nivel da agua alto");
  }
*/
if (preostatoBaixoEstado== HIGH) {

  nivelAltoAgua=true;
  
  nivelBaixoAgua=false;
  
   Serial.println("passou do nivel");
    // turn LED on:
 //   digitalWrite(ledPin, HIGH);
  } else {
    // turn LED off:
//    digitalWrite(ledPin, LOW);
  Serial.println("abaixo do nivel");
    nivelBaixoAgua=true;
    nivelAltoAgua=false;
  
  }

  //  Serial.println("Baixo");
  
  
}

void ciclo1(){

if(passoCiclo1==1){
Serial.println("CICLO 1");
  if(!nivelAltoAgua){
  textDisplay("  ENCHENDO  DE  AGUA");
Serial.println("Enchendo de agua");
   digitalWrite(solenoideSabao,HIGH);
   
   
    //passoCiclo1=2;
   }
// Se estiver cheio agitar 30 minutos
  if(nivelAltoAgua){
    Serial.println("Cheio de agua");
   digitalWrite(solenoideSabao,LOW);
  passoCiclo1=2;
  } 
}

if(passoCiclo1==2){
  textDisplay("  AGITANDO");
    
  for(int i=0;i<tempoAgitacao;i++){

    int percentual=(100*i)/1500;
    
    textDisplay(String(percentual)+"%" );
    
    
    agitacao();
    //Serial.print("fazendo Agitacao numero de vezes = ");
    //Serial.println(i);
  }
  passoCiclo1=3;
 }
 
 if(passoCiclo1==3){

 
  digitalWrite(centrifugaBomba, HIGH);
  textDisplay("  ESGOTANDO AGUA");
 // Serial.println("esgotando Agua");
  delay(120000);//temporiza para tirar a agua
  digitalWrite(centrifugaBomba, LOW);
  //Serial.println("Agua esgotada");
  ciclo=2;
  passoCiclo1=1;
  }
 
// if(nivelAltoAgua){
 
// Esvaziar até agua ficar vazia
//fim  de ciclo 1
}

//##########################

void ciclo2(){
//Serial.println("CICLO 2");

if(passoCiclo1==1){
//Serial.println("CICLO 1");
  if(!nivelAltoAgua){
  textDisplay("  ENCHENDO  DE  AGUA");
//Serial.println("Enchendo de agua");
   digitalWrite(solenoideSabao,HIGH);
   
   
    //passoCiclo1=2;
   }
// Se estiver cheio agitar 30 minutos
  if(nivelAltoAgua){
    //Serial.println("Cheio de agua");
   digitalWrite(solenoideSabao,LOW);
  passoCiclo1=2;
  }
}

if(passoCiclo1==2){

   //Serial.println("Agua para Enxague rapido");
 
   digitalWrite(solenoideSabao,HIGH);
     textDisplay("ENCHENDO COM AGUA");
   delay(20000);
   digitalWrite(solenoideSabao,LOW);
  
  passoCiclo1=2;
   
}

if(passoCiclo1==2){
//  Serial.println("PASSO2");
    textDisplay("  AGITACAO");
  for(int i=0;i<10;i++){
    agitacao();
    //Serial.print("fazendo Agitacao numero de vezes = ");
   // Serial.println(i);
  }
  
  passoCiclo1=3;
 }
 
 if(passoCiclo1==3){
  textDisplay("ESVAZIANDO");
  digitalWrite(centrifugaBomba, HIGH);
  //Serial.println("Esgotando agua");
  delay(20000);
  digitalWrite(centrifugaBomba, LOW);
  delay(500);
  ciclo=3;
  passoCiclo1=1;
  }
 
}

void ciclo3(){
//Serial.println("CICLO 3");

if(passoCiclo1==1){
  //Serial.println("CICLO 3");
  if(!nivelAltoAgua){
  //Serial.println("Enchendo de agua");
    textDisplay("ENCHENDO COM AGUA");
  digitalWrite(solenoideAmaciante,HIGH);
   
   
    //passoCiclo1=2;
   }
// Se estiver cheio agitar 30 minutos
  if(nivelAltoAgua){
    //Serial.println("Cheio de agua");
      textDisplay("CHEIO DE AGUA");
   digitalWrite(solenoideAmaciante,LOW);
  passoCiclo1=2;
  } 
}

if(passoCiclo1==2){
  
  for(int i=0;i<100;i++){
    agitacao();
     
      int percentual=(100*i)/100;
      textDisplay(String(percentual)+"%" );
    //Serial.print("fazendo Agitacao com AMACIANTE numero de vezes = ");
   // Serial.println(i);
  }
  passoCiclo1=3;
 }
 
 if(passoCiclo1==3){

  if(!nivelBaixoAgua){
  digitalWrite(centrifugaBomba, HIGH);
    textDisplay("ESVAZIANDO");
  //Serial.println("esgotando Agua com AMACIANTE");
  }
  if(nivelBaixoAgua){
  digitalWrite(centrifugaBomba, LOW);
 // Serial.println("Agua esgotada COM AMACIANTE");
  ciclo=4;
  passoCiclo1=1;
  }
 }
}
//####### enxague profundo 

void ciclo4(){
//Serial.println("CICLO 4");

  if(passoCiclo1==1){
    // Serial.println("CICLO 4");
     if(!nivelAltoAgua){
        textDisplay("ENCHENDO COM AGUA");
    // Serial.println("Enchendo de agua");
     digitalWrite(solenoideSabao,HIGH);
        //passoCiclo1=2;
     }
// Se estiver cheio agitar 30 minutos
     if(nivelAltoAgua){
     //Serial.println("Cheio de agua");
       textDisplay("CHEIO DE AGUA");
     digitalWrite(solenoideSabao,LOW);
     passoCiclo1=2;
     } 
  }

 if(passoCiclo1==2){
    for(int i=0;i<100;i++){
    agitacao();
       int percentual=(100*i)/100;
      textDisplay(String(percentual)+"%" );
  //  Serial.print("fazendo Agitacao numero de vezes = ");
  //  Serial.println(i);
    }
    passoCiclo1=3;
 }
 
 if(passoCiclo1==3){
    if(!nivelBaixoAgua){
      digitalWrite(centrifugaBomba, HIGH);
        textDisplay("ESVAZIANDO");
     // Serial.println("esgotando Agua");
    }
    if(nivelBaixoAgua){
      digitalWrite(centrifugaBomba, LOW);
        textDisplay("ESVAZIADA");
    //  Serial.println("Agua esgotada");
      ciclo=5;
      passoCiclo1=1;
    }
 }
 
// if(nivelAltoAgua){
 
// Esvaziar até agua ficar vazia
//fim  de ciclo 1
}

//######## centrifuga

void ciclo5(){
//Serial.println("CICLO 5");

  digitalWrite(solenoideAmaciante, LOW);
  digitalWrite(solenoideSabao, LOW);

Centrifuga();


digitalWrite(centrifugaBomba, HIGH);
delay(10000);
Centrifuga();

digitalWrite(centrifugaBomba, HIGH);
delay(10000);
Centrifuga();

digitalWrite(centrifugaBomba, HIGH);
delay(10000);
Centrifuga();


digitalWrite(centrifugaBomba, LOW);
  ciclo=6;
  passoCiclo1=1;
}

void ciclo6(){
 // Serial.println("CICLO 6");
  // Serial.println("Fim lavagem");
  digitalWrite(solenoideAmaciante, LOW);
  digitalWrite(solenoideSabao, LOW);
  digitalWrite(centrifugaBomba, LOW);
  digitalWrite(motorHorario, LOW);
  digitalWrite(motorAntihorario, LOW);
 
  for(int i=0; i<120; i++){
 tone(12, 440);
  delay(100);
 tone(12, 640);
 delay(200);
 tone(12, 840);
 delay(200);
 tone(12, 440);
 delay(200);
 noTone(12);
delay(500);      
 }

}

void agitacao(){
  digitalWrite(motorHorario, HIGH);
  delay(300);
  digitalWrite(motorHorario, LOW);
  delay(500);
  digitalWrite(motorAntihorario, HIGH);
  delay(300);
  digitalWrite(motorAntihorario, LOW);
  delay(500);
  
}


void Centrifuga(){
  digitalWrite(solenoideSabao,LOW);
  digitalWrite(solenoideAmaciante,LOW);
  digitalWrite(centrifugaBomba, HIGH);
  delay(2000);
  digitalWrite(centrifugaBomba, LOW);
  delay(500);
  digitalWrite(centrifugaBomba, HIGH);
  delay(2000);
  
  digitalWrite(motorAntihorario, LOW);
  delay(1000);

  digitalWrite(centrifugaBomba, LOW);
  delay(200);
  digitalWrite(centrifugaBomba, HIGH);
  delay(3000);
  digitalWrite(motorAntihorario, HIGH);
  delay(20);
  digitalWrite(motorAntihorario, LOW);
  delay(300);
  digitalWrite(motorAntihorario, HIGH);
  delay(80);
  digitalWrite(motorAntihorario, LOW);
  delay(300);
  digitalWrite(motorAntihorario, HIGH);
  delay(200);
    digitalWrite(motorAntihorario, LOW);
  delay(300);
  digitalWrite(motorAntihorario, HIGH);
  delay(300);
     digitalWrite(motorAntihorario, LOW);
  delay(300);
  digitalWrite(motorAntihorario, HIGH);
  delay(500);
   digitalWrite(motorAntihorario, LOW);
  delay(300);
  digitalWrite(motorAntihorario, HIGH);
  delay(15000);
  
for(int i=0; i<600; i++){
delay(1000);
        textDisplay(String(i));
  
}


  digitalWrite(centrifugaBomba, LOW);
  //delay(100);
  digitalWrite(motorAntihorario, LOW);
//  delay(200);

  
  /*digitalWrite(motorAntihorario, HIGH);
  delay(200);
  digitalWrite(motorAntihorario, LOW);
  delay(1000);
  digitalWrite(motorAntihorario, HIGH);
  delay(200);
  digitalWrite(motorAntihorario, LOW);
  delay(1000);
  digitalWrite(motorAntihorario, HIGH);
  delay(1000);
  digitalWrite(motorAntihorario, LOW);
  delay(1000);
  digitalWrite(motorAntihorario, HIGH);
  delay(1000);
  digitalWrite(centrifugaBomba, LOW);
  delay(100);
  digitalWrite(motorHorario, LOW);
  delay(1000);
 */
  
}
